\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Graphing without calculus}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\[1ex]
  \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................

%\section{Graph sketching without Calculus}

\begin{frame}{Power curves}
\begin{center}\small
  \begin{tabular}{r|c@{\hspace{4em}}c@{\hspace{4em}}c}
    \multicolumn{1}{r}{\ }
      &\multicolumn{1}{c}{\textit{Positive}}
      &\multicolumn{1}{c}{\textit{ }}
      &\multicolumn{1}{c}{\textit{Negative}}  \\ \cline{2-4}
    \raisebox{30pt}{\textit{Even power}}\rule{0em}{50pt} 
      &\begin{tabular}{c}\includegraphics{asy/no_calculus006.pdf}\\$x^2$, $x^4$, \ldots\end{tabular}  
      &\begin{tabular}{c}\includegraphics{asy/no_calculus009.pdf}\\$x^0$\end{tabular}
      &\begin{tabular}{c}\includegraphics{asy/no_calculus011.pdf}\\$x^{-2}$, $x^{-4}$, \ldots\end{tabular}     \\[10ex]
    \raisebox{30pt}{\textit{Odd power}} 
      &\begin{tabular}{c}\includegraphics{asy/no_calculus007.pdf}\\$x^3$, $x^5$, \ldots\end{tabular}  
      &\begin{tabular}{c}\includegraphics{asy/no_calculus008.pdf}\\$x^1$\end{tabular}
      &\begin{tabular}{c}\includegraphics{asy/no_calculus010.pdf}\\$x^{-1}$, $x^{-3}$, \ldots\end{tabular}
  \end{tabular}
\end{center}
\end{frame}



\begin{frame}{Exponential and logarithmic curves}
\begin{center}\small
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus015.pdf}  \\
     $e^x$  
  \end{tabular}
  \hspace*{1.5cm}
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus016.pdf}  \\
     $\ln x$ 
  \end{tabular}    
\end{center}  
\end{frame}




\begin{frame}{Graph shifting}
\begin{center}\small
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus017.pdf}  \\
     $y=f(x)$  
  \end{tabular}
  \quad
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus018.pdf}  \\
     $y-a=f(x)$ 
  \end{tabular}    
  \quad
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus019.pdf}  \\
     $y+a=f(x)$ 
  \end{tabular}    
\end{center}  
\begin{center}\small
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus020.pdf}  \\
     $y=f(x+a)$  
  \end{tabular}
  \quad
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus021.pdf}  \\
     $y=f(x-a)$ 
  \end{tabular}    
\end{center}  
  
\end{frame}


\begin{frame}{Graph squeezing and stretching}
\begin{center}\small
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus022.pdf}  \\
     $y=f(x)$  
  \end{tabular}
  \quad
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus023.pdf}  \\
     $y=c\cdot f(x)$, $c>0$ 
  \end{tabular}    
  \quad
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus024.pdf}  \\
     $y=c\cdot f(x)$, $c<0$ 
  \end{tabular}    
\end{center}  
\end{frame}

\begin{frame}{Practice}
\Ex We can see $\displaystyle f(x)=3\cdot (x-2)^2+4$
as built up in stages.
Start with $y=x^2$, then go to $y=(x-2)^2$, then to 
$y=3(x-2)^2$, and finally to $y-4=3(x-2)^2$.
This is much more understandable than starting with
$3\cdot (x-2)^2+4=3x^2-12x+16$ and plotting points.

\pause
Sketch each.
\begin{enumerate}
\item $\displaystyle g(x)=(x+1)^3$
\pause
\item $\displaystyle h(t)=e^{t+3}$
% \pause
% \item $\displaystyle k(t)=\ln(x-3)$
\end{enumerate}
\end{frame}

\begin{frame}{Asymptotes}
\begin{center}\small
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus025.pdf}  \\
     $x=a_0$, $y=a_1$  
  \end{tabular}
  \quad
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus026.pdf}  \\
     $x=a$ 
  \end{tabular}
\end{center}    
You often hear this statement, which is not right:~``an 
asymptote is where the graph gets 
closer and closer, 
but does not touch.'' 
\begin{center}\small
  \begin{tabular}[b]{c}
     \includegraphics{asy/no_calculus027.pdf}  \\
     % $y=(1/x)\cdot \sin(x)$ 
  \end{tabular}    
\end{center}    
\end{frame}


\begin{frame}{Oblique asymptote, when $\lim_{x\to\pm\infty}f(x)/g(x)=1$}
\begin{center}
   \vcenteredhbox{\includegraphics{asy/no_calculus028.pdf}}   
  % \qquad
  % \begin{minipage}{0.4\textwidth}
  %   \begin{equation*}
  %      \lim_{x\to\infty}\frac{f(x)}{g(x)}=1    
  %   \end{equation*}    
  % \end{minipage}
\end{center}
\Ex
The leading term of $f(x)=3x^2+2x+4$ is $g(x)=3x^2$.
Check that it is obliquely asymptotic to $f(x)$ as $x\to\infty$.
\pause
\begin{equation*}
  \lim_{x\to\infty}\frac{3x^2+2x+4}{3x^2}
  =\lim_{x\to\infty}\frac{3x^2}{3x^2}+\frac{2x}{3x^2}+\frac{4}{3x^2}
  =\lim_{x\to\infty} 1+\frac{2}{3x}+\frac{4}{3x^2}=1
\end{equation*}
% \item $f(x)=(-1/10)x^5-x^3+2$, $g(x)=-x^5/10$
% \end{enumerate}
\end{frame}


\section{Sketching polynomials}
\begin{frame}{Sketching polynomials}
To sketch $f(x)=a_mx^m+a_{m-1}x^{m-1}+\cdots +a_0$,
first take the leading term $g(x)=a_mx^m$ 
and sketch this oblique asymptote  as the long-term behavior.   
\begin{center}
     \includegraphics{asy/no_calculus029.pdf}  \\    
\end{center}
This shows both ends going up, as for $g(x)=2x^2$ or $g(x)=x^4/5$.
But what happens depends on whether $m$ is
even or odd and the sign of~$a_m$. 
With $g(x)=x^3$ there would be a going down and a going up, 
and with $g(x)=-4x^4$ there would be two going down's.
\end{frame}
\begin{frame}
Second, for inputs close to $0$, find the roots.
\begin{center}
     \includegraphics{asy/no_calculus030.pdf}  \\    
\end{center}
Between the roots you could use trial numbers to check the signs, 
but see the next slide.
\end{frame}


\begin{frame}{Even and odd roots}
This is $f(x)=(x+1)\cdot x^2\cdot (x-2)$.
The leading term is $g(x)=x^4$.
\begin{center}
     \includegraphics{asy/no_calculus031.pdf}  \\    
\end{center}
The factors $x+1$ and $x-2$ have odd powers, because they are
$(x+1)^1$ and $(x-2)^1$ and $1$ is odd.
The factor $x^2$ has an even power.
We say that $-1$ and $+2$ are \alert{odd roots}, 
while $0$ is an \alert{even root}.
At odd roots the graph passes through the $x$~axis,
while at even roots it bounces off.  
\end{frame}


\begin{frame}{Practice}
Sketch each polynomial.
\begin{enumerate}
\item $\displaystyle p(x)=5(x+2)^2x(x-1)$
\pause
\item $\displaystyle (x+3)^3(x-2)^2$
\pause
\item $\displaystyle -3x^2(x-4)$
\end{enumerate}
\end{frame}



\begin{frame}{Wiggles give rise to local optima}
A number~$c$ is a \alert{local maximum} if 
$f(c)\geq f(x)$ for $x$'s near to $c$.
It is a \alert{global maximum} or \alert{absolute maximum}
if $f(c)\geq f(x)$ for all inputs~$x$. 
Similarly,~$c$ is a \alert{local minimum} if 
$f(c)\leq f(x)$ for $x$'s near to $c$, and it 
is a \alert{global minimum} or \alert{absolute minimum}
if $f(c)\leq f(x)$ for all inputs~$x$. 
\begin{center}
  \includegraphics{asy/no_calculus032.pdf}
\end{center}
This graph seems to have a global maximum at~$A$, and a local minimum
and maximum at $B$ and~$C$.
\end{frame}


\section{Sketching rational functions}
\begin{frame}{Graph hole}
This is a graph of $f(x)=(x-1)(2x+1)/(x-1)$.
\begin{center}
  \includegraphics{asy/no_calculus035.pdf}
\end{center}
For all input $x$'s except for $x=1$ the function equals $2x+1$.
But the function is undefined at $x=1$.
\end{frame}

\begin{frame}{Rational functions}
Let $f(x)=n(x)/d(x)$.
\begin{enumerate}
\item Find the long term behavior taking the leading terms of $n(x)$ and $d(x)$
  and making a fraction (you may cancel some $x$'s).
  Put this on the graph for input $x$'s away from~$0$. 
\item The function~$f$ is undefined at roots of $d(x)$.
  Add to the graph the asymptotes (or graph holes).
  For asymptotes, if $d(x)$'s root is even then the to-infinity arrows
  go in the same direction, while if $d(x)$'s root is odd then they
  go in opposite directions. 
\item The function has zeros where $n(x)$ is zero
  (unless it is a hole).
  If $n(x)$'s root is odd then then graph passes through the $x$~axis at
  that root, while
  if it is odd then the graph bounces off the axis there.
\end{enumerate}
\end{frame}


\begin{frame}
\Ex Sketch  $f(x)=(x+1)^2/(x-1)$.

\pause
Taking leading terms gives the long-term behavior $g(x)=x^2/x$, so $g(x)=x$.
The denominator's root is at $x=1$, and it is odd,
so the function is undefined at $x=1$ and has a vertical asymptote there.
The numerator's root is $x=-1$, and it is even.
\pause
\begin{center}
  \includegraphics{asy/no_calculus033.pdf}
\end{center}
\end{frame}

\begin{frame}
\Ex Sketch  $f(x)=(x-1)/(10\cdot (x+2)^2)$.

\pause
The leading terms gives that for large inputs we have $g(x)= 1/(10x)$.
The denominator's root is $x=-2$ and it is even.
The numerator's root is $x=1$, and it is an odd root.
\pause
\begin{center}
  \includegraphics{asy/no_calculus034.pdf}
\end{center}
\end{frame}


\begin{frame}{Practice}
Sketch each.
\begin{enumerate}
\item $\displaystyle \frac{x+3}{x-3}$
\pause
\item $\displaystyle \frac{3(x-1)}{(x-2)^2}$
\pause
\item $\displaystyle \frac{(x+1)(x-1)}{(x+2)}$
\pause
\item $\displaystyle \frac{(x+1)(x-1)}{4x(x+2)}$
\end{enumerate}
\end{frame}





% ---------------------
% \begin{frame}
% \frametitle{}
% \end{frame}
\end{document}
